Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.commons
[Java] Class DomainClassArtefactHandler

    java.lang.Object
      org.codehaus.groovy.grails.commons.ArtefactHandlerAdapter
          org.codehaus.groovy.grails.commons.DomainClassArtefactHandler

All Implemented Interfaces:
  GrailsApplicationAware

    public class DomainClassArtefactHandler
    extends ArtefactHandlerAdapter

Evaluates the conventions that define a domain class in Grails.

Authors:
  Graeme Rocher
  Marc Palmer (marc@anyware.co.uk)

Field Summary
`static java.lang.String` | `TYPE`

Fields inherited from class ArtefactHandlerAdapter
log

Constructor Summary
`DomainClassArtefactHandler()`

Method Summary
`void` | `initialize(ArtefactInfo artefacts)` Sets up the relationships between the domain classes, this has to be done after the intial creation to avoid looping
`boolean` | `isArtefactClass(java.lang.Class clazz)`
`static boolean` | `isDomainClass(java.lang.Class clazz, boolean allowProxyClass)`
`static boolean` | `isDomainClass(java.lang.Class clazz)`
`GrailsClass` | `newArtefactClass(java.lang.Class artefactClass)`
`void` | `setGrailsApplication(GrailsApplication grailsApplication)`

Methods inherited from class ArtefactHandlerAdapter
getArtefactForFeature, getPluginName, getType, initialize, isArtefact, isArtefactClass, isArtefactGrailsClass, newArtefactClass

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### TYPE

    public static final java.lang.String TYPE

Constructor Detail

### DomainClassArtefactHandler

    public DomainClassArtefactHandler()

Method Detail

### initialize

    @java.lang.Override
    public void initialize(ArtefactInfo artefacts)

  Sets up the relationships between the domain classes, this has to be done after the intial creation to avoid looping

### isArtefactClass

    @java.lang.Override
    @java.lang.SuppressWarnings("rawtypes")
    public boolean isArtefactClass(java.lang.Class clazz)

### isDomainClass

    public static boolean isDomainClass(java.lang.Class clazz, boolean allowProxyClass)

### isDomainClass

    public static boolean isDomainClass(java.lang.Class clazz)

### newArtefactClass

    @java.lang.Override
    @java.lang.SuppressWarnings("rawtypes")
    public GrailsClass newArtefactClass(java.lang.Class artefactClass)

### setGrailsApplication

    public void setGrailsApplication(GrailsApplication grailsApplication)

Groovy Documentation